Get World Center Point in VBScript

I just want to do something like Rhino.Geometry.Point3d(0,0,0). I need that point for Rhino.RotateObject(), but I can’t figure out how to get it. Frankly, I’m gonna need a vector, too, and I probably won’t be able to figure that out either.

Call Rhino.RotateObject(obj, ???, 90.0, ???)

Sorry for the dumb question. This was easy in python, but for some reason is mind-bending for me
in VBScript

If memory serves me right, it should be

Array( 0, 0, 0 )

Both for points and vectors.

Hmmm … I think you could find more info here:

RhinoScript (rhino3d.com)

About points and vectors you may look under “Contents” => “RhinoScript Fundamentals”

HTH

1 Like

Call Rhino.RotateObject(obj, Array(0,0,0), 90.0, Array(0,0,1))
I think… The Array should create a point or a vector… but it’s been way too long since I did anything in VB rhinoscript.

1 Like

Haha … old users scratching their heads here …
:wink:

1 Like